Loading...
Searching...
No Matches
Catch::Clara::Parser Class Reference

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::Clara::Parser:
[legend]
Collaboration diagram for Catch::Clara::Parser:
[legend]

## Public Member Functions

auto | operator|= (ExeName const &exeName) -> Parser &
auto | operator|= (Arg const &arg) -> Parser &
Parser & | operator|= (Parser const &other)
std::vector< Detail::HelpColumns > | getHelpColumns () const
void | writeToStream (std::ostream &os) const
Detail::Result | validate () const override
Detail::InternalParseResult | parse (std::string const &exeName, Detail::TokenStream tokens) const override

## Private Attributes

ExeName | m_exeName
std::vector< Opt > | m_options
std::vector< Arg > | m_args

## Friends

Parser & | operator|= (Parser &p, Opt const &opt)
Parser & | operator|= (Parser &p, Opt &&opt)
template<typename T>
Parser | operator| (Parser const &p, T &&rhs)
template<typename T>
Parser | operator| (Parser &&p, T &&rhs)
auto | operator<< (std::ostream &os, Parser const &parser) -> std::ostream &

## Additional Inherited Members

Private Member Functions inherited from Catch::Clara::Detail::ParserBase
virtual | ~ParserBase ()=default
virtual size_t | cardinality () const
InternalParseResult | parse (Args const &args) const

## Member Function Documentation

## getHelpColumns()

std::vector< Detail::HelpColumns > Catch::Clara::Parser::getHelpColumns | ( |  | ) | const

Here is the caller graph for this function:

## operator|=() [1/3]

auto Catch::Clara::Parser::operator|= | ( | Arg const & | arg | ) | -> Parser&

inline

## operator|=() [2/3]

auto Catch::Clara::Parser::operator|= | ( | ExeName const & | exeName | ) | -> Parser&

inline

## operator|=() [3/3]

Parser & Catch::Clara::Parser::operator|= | ( | Parser const & | other | ) |

## parse()

Detail::InternalParseResult Catch::Clara::Parser::parse | ( | std::string const & | exeName,
|  | Detail::TokenStream | tokens ) const

overridevirtual

Implements Catch::Clara::Detail::ParserBase.

Here is the call graph for this function:

## validate()

Detail::Result Catch::Clara::Parser::validate | ( |  | ) | const

overridevirtual

Reimplemented from Catch::Clara::Detail::ParserBase.

Here is the call graph for this function:

## writeToStream()

void Catch::Clara::Parser::writeToStream | ( | std::ostream & | os | ) | const

Here is the call graph for this function:

## Friends And Related Symbol Documentation

## operator<<

auto operator<< | ( | std::ostream & | os,
|  | Parser const & | parser ) -> std::ostream&

friend

## operator| [1/2]

template<typename T>

Parser operator| | ( | Parser && | p,
|  | T && | rhs )

friend

## operator| [2/2]

template<typename T>

Parser operator| | ( | Parser const & | p,
|  | T && | rhs )

friend

## operator|= [1/2]

Parser & operator|= | ( | Parser & | p,
|  | Opt && | opt )

friend

## operator|= [2/2]

Parser & operator|= | ( | Parser & | p,
|  | Opt const & | opt )

friend

## Member Data Documentation

## m_args

std::vector<Arg> Catch::Clara::Parser::m_args

private

## m_exeName

ExeName Catch::Clara::Parser::m_exeName

mutableprivate

## m_options

std::vector<Opt> Catch::Clara::Parser::m_options

private

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp